<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->foreign(['city_id'])->references(['id'])->on('cities')->onUpdate('no action')->onDelete('set null');
            $table->foreign(['edarate_ostani_id'])->references(['id'])->on('edarate_ostani')->onUpdate('cascade')->onDelete('set null');
            $table->foreign(['edarate_shahri_id'])->references(['id'])->on('edarate_shahri')->onUpdate('cascade')->onDelete('set null');
            $table->foreign(['province_id'])->references(['id'])->on('provinces')->onUpdate('cascade')->onDelete('set null');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropForeign('users_city_id_foreign');
            $table->dropForeign('users_edarate_ostani_id_foreign');
            $table->dropForeign('users_edarate_shahri_id_foreign');
            $table->dropForeign('users_province_id_foreign');
        });
    }
};
